# This is a BitKeeper generated patch for the following project:
# Project Name: Linux kernel tree
# This patch format is intended for GNU patch command version 2.5 or higher.
# This patch includes the following deltas:
#	           ChangeSet	1.1336  -> 1.1337 
#	arch/i386/kernel/cpu/cpufreq/acpi.c	1.9     -> 1.10   
#
# The following is the BitKeeper ChangeSet Log
# --------------------------------------------
# 03/09/30	len.brown@intel.com	1.1337
# [ACPI] GV3 IO port is 16-bits (Venkatesh Pallipadi)
# --------------------------------------------
#
diff -Nru a/arch/i386/kernel/cpu/cpufreq/acpi.c b/arch/i386/kernel/cpu/cpufreq/acpi.c
--- a/arch/i386/kernel/cpu/cpufreq/acpi.c	Tue Sep 30 01:09:23 2003
+++ b/arch/i386/kernel/cpu/cpufreq/acpi.c	Tue Sep 30 01:09:23 2003
@@ -230,7 +230,7 @@
 	int			state)
 {
 	u16			port = 0;
-	u8			value = 0;
+	u16			value = 0;
 	int			i = 0;
 	struct cpufreq_freqs    cpufreq_freqs;
 
@@ -281,9 +281,9 @@
 	value = (u16) perf->states[state].control;
 
 	ACPI_DEBUG_PRINT((ACPI_DB_INFO, 
-		"Writing 0x%02x to port 0x%04x\n", value, port));
+		"Writing 0x%04x to port 0x%04x\n", value, port));
 
-	outb(value, port); 
+	outw(value, port); 
 
 	/*
 	 * Then we read the 'status_register' and compare the value with the
@@ -295,12 +295,12 @@
 	port = perf->status_register;
 
 	ACPI_DEBUG_PRINT((ACPI_DB_INFO, 
-		"Looking for 0x%02x from port 0x%04x\n",
-		(u8) perf->states[state].status, port));
+		"Looking for 0x%04x from port 0x%04x\n",
+		(u16) perf->states[state].status, port));
 
 	for (i=0; i<100; i++) {
-		value = inb(port);
-		if (value == (u8) perf->states[state].status)
+		value = inw(port);
+		if (value == (u16) perf->states[state].status)
 			break;
 		udelay(10);
 	}
@@ -308,7 +308,7 @@
 	/* notify cpufreq */
 	cpufreq_notify_transition(&cpufreq_freqs, CPUFREQ_POSTCHANGE);
 
-	if (value != perf->states[state].status) {
+	if (value != (u16) perf->states[state].status) {
 		unsigned int tmp = cpufreq_freqs.new;
 		cpufreq_freqs.new = cpufreq_freqs.old;
 		cpufreq_freqs.old = tmp;
